Updates to macOS Build Agents

Avatar

Nilofer

With the recent stable release of macOS Catalina, Visual Studio App Center has heard requests to support building apps with this macOS version. As apps move to build on the latest and greatest sets of build tools, we have seen a dwindling demand for building on High Sierra. Starting January 15th, the following updates will come to App Center Build and the build agents:

  • App Center Build will drop support for High Sierra build agents. As a result, any builds using a version of Xcode older than 9.4.1 will no longer be supported.
  • Xcode 9.4.1 will be the minimum version of Xcode supported. Builds using older versions will automatically be bumped up to Xcode 9.4.1 to continue building in App Center.

On February 1st, macOS Catalina will be supported by App Center build agents. As a result:

  • Builds using Xcode 11.0 or greater will run on macOS Catalina.

We recommend checking on your apps that run on older versions of Xcode and updating the Xcode version prior to January 15th to ensure successful builds. Please reach out to support via the blue bubble in App Center with any concerns.

 

 

2 comments

Leave a comment